Version: 1.5.6
Release: 1%{?dist}
URL:     https://rubjo.github.io/victor-mono/

%global foundry           rbjornera
%global fontlicense       OFL
%global fontlicenses      LICENSE.txt

%global fontfamily        Victor Mono
%global fontsummary       A free programming font with cursive italics and ligatures.
%global fonts             TTF/*.ttf
%global fontconfs         %{SOURCE10}
%global fontdescription   %{expand:
Victor Mono is a free programming font with semi-connected cursive italics,
symbol ligatures and Latin, Cyrillic and Greek characters.

It was drawn from scratch as a pet project / experiment because there just
wasn't any free or paid font that I found both readable, effective and elegant.

The typeface is clean, crisp and narrow, with a large x-height and clear
punctuation, making it legible and ideal for code. It comes in seven weights,
and is available in Roman, Italic and Oblique styles.
}

Source0:        https://github.com/rubjo/victor-mono/raw/v%{version}/public/VictorMonoAll.zip
Source10:       64-%{fontpkgname}.conf

%fontpkg

%prep
%setup -c

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Wed Jan 31 2024 Olivier Samyn 🎻 <code@oleastre.be> - 1.5.6-1
- New upstream version

* Fri Apr 21 2023 Olivier Samyn 🎻 <code@oleastre.be> - 1.5.5-1
- New upstream release

* Thu Jul 07 2022 Olivier Samyn 🎻 <code@oleastre.be> - 1.5.4-1
- New upstream release

* Fri May 27 2022 Olivier Samyn 🎻 <code@oleastre.be> - 1.5.3-1
- New upstream version

* Wed Jan 12 2022 Olivier Samyn 🎻 <code@oleastre.be> - 1.5.2-1
- new version

* Sat Nov 20 2021 Olivier Samyn <code@oleastre.be> - 1.5.1-1
- New upstream version

* Thu Oct 21 2021 Olivier Samyn <code@oleastre.be> - 1.5.0-1
- new version

* Wed Aug 04 2021 Olivier Samyn <code@oleastre.be> - 1.4.2-3
- Correct generic font family

* Sun Jul 11 2021 Olivier Samyn <code@oleastre.be> - 1.4.2-2
- Switch to new font packaging spec format

* Fri Nov 06 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.4.2-1
- New upstream version

* Tue Jun 30 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.4.1-1
- New upstream release

* Mon Jun 29 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.4.0-1
- New upstream release

* Mon Jan 13 2020 Olivier Samyn 🎻 <code@oleastre.be> - 1.3.1-1
- New upstream version

* Thu Dec 19 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.3.0-1
- New upstream version

* Tue Nov 19 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.9-1
- New upstream version

* Wed Nov 13 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.8-1
- New upstream version

* Wed Oct 23 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.7-1
- New upstream version

* Sat Sep 21 2019 Olivier Samyn 🎻 <code@oleastre.be> - 1.2.6-1
- Initial RPM
